Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.vectorspace
Class SoftIObjectGrouping

    java.lang.Object
      infomat.vectorspace.IObject
          infomat.vectorspace.IObjectGroup
              infomat.vectorspace.SoftIObjectGrouping

All Implemented Interfaces:
  IVectorIndex

    public class SoftIObjectGrouping

extends IObjectGroup

A SoftIObjectGrouping

Field Summary
`private java.util.HashMap<IObject,java.util.HashMap<java.lang.Integer,java.lang.Float>>` | `ioGroupValueMap`
`private static int` | `softGroupingMaxIdSoFar`

Fields inherited from class infomat.vectorspace.IObjectGroup
`maxIdSoFar, objectOrderIndexMap, objectOrderValueMap, ordered`

Constructor Summary
`SoftIObjectGrouping(java.lang.String groupingName)`

Method Summary
`IObjectGrouping` | `getHardGrouping()`
`static IMatrix` | `projectIObjectsOnGroups(IObjectGrouping grouping, ISimilarity sim)`

Methods inherited from class infomat.vectorspace.IObjectGroup
`add, add, addAll, addAll, contains, containsPrecisely, getIObjectAt, getIObjectOrderIndex, getIVector, getName, getObjectOrderValueMap, getOrdered, getSortedObjectOrderValueVector, notIn, numberOfIObjects, numberOfSharedIObjects, randomOrder, remove, remove, removeAll, removeObjectsNotIn, setIVector, setName, sortInCurrentVectorOrderWithInvertedOrderNumberAsValue, sortInOrderValueOrder, subGroup`

Methods inherited from class infomat.vectorspace.IObject
`getAmbiguous, getAmbiguousString, getID, getKind, getLargestCommonLocation, getLocation, getString, setAmbiguous, setString, stringCompareTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### softGroupingMaxIdSoFar

    private static int softGroupingMaxIdSoFar

### ioGroupValueMap

    private java.util.HashMap<IObject,java.util.HashMap<java.lang.Integer,java.lang.Float>> ioGroupValueMap

Constructor Detail

### SoftIObjectGrouping

    public SoftIObjectGrouping(java.lang.String groupingName)

Method Detail

### projectIObjectsOnGroups

    public static IMatrix projectIObjectsOnGroups(IObjectGrouping grouping,
                                                  ISimilarity sim)

### getHardGrouping

    public IObjectGrouping getHardGrouping()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD